Download it now!
Bug 119599 - LibreOffice Writer later versions, 6.1, 6.0, 5.4.7.2 do not handle editing of styles of an imported rtf file. Version 5.4.3.2 allowed me to modify the styles correctly.
Summary: LibreOffice Writer later versions, 6.1, 6.0, 5.4.7.2 do not handle editing of...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.6.1 rc
Hardware: x86-64 (AMD64) All
: high major
Assignee: Miklos Vajna
URL:
Whiteboard: target:6.2.0 target:6.1.3
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-08-30 01:53 UTC by Pen
Modified: 2018-10-04 09:04 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
An rtf file exported from paratext, with its own styles (628.83 KB, application/msword)
2018-08-30 18:42 UTC, Pen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pen 2018-08-30 01:53:00 UTC
Description:
I opened an rtf file in LibreOffice Writer and was successful in modifying the existing styles of the document (specifically the font size). The version I was using was 5.4.3.2. I decided to use a more recent version (this time in Spanish, and hopefully that wasn't the problem), but found that (using the same rtf file) I could not modify the style successfully (had to select entire paragraphs at a time and double click the modified style). This was using the 6.1 version. Tried it with the two previous versions, and was unsuccessful with both. I had such high hopes for using LibreOffice! Have to teach a course in two weeks to help marginalized groups format, and it doesn't work! UNLESS I use an old version.

Steps to Reproduce:
1.Open an rtf file with existing styles in Writer
2.Attempt to modify a style by changing the font size
3.

Actual Results:
The font of the text that should have been changed does not alter at all. The entire text has to be selected and the style dbl clicked in order to make the change.

Expected Results:
I of course hoped that the text with the modified style would have changed for all of the text with that given style.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Dieter 2018-08-30 06:57:53 UTC
Just for clarification: Are you talking about paragraph styles or character styles?

Is it possible to add an example-file?
Comment 2 Xisco Faulí 2018-08-30 08:22:32 UTC
Thank you for reporting the bug. Please attach a sample document, as this makes it easier for us to verify the bug. 
(Please note that the attachment will be public, remove any sensitive information before attaching it. 
See https://wiki.documentfoundation.org/QA/FAQ#How_can_I_eliminate_confidential_data_from_a_sample_document.3F for help on how to do so.)

I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' once the requested document is provided.
Comment 3 Pen 2018-08-30 18:42:46 UTC
Created attachment 144562 [details]
An rtf file exported from paratext, with its own styles

Just to note, I had success in modifying the styles (but not the footnotes) in an older version of Writer - 5.4.3.2, but not later versions.
Comment 4 Pen 2018-08-30 18:48:14 UTC
(In reply to Dieter Praas from comment #1)
> Just for clarification: Are you talking about paragraph styles or character
> styles?
> 
> Is it possible to add an example-file?

I added a file. I basically only wanted to change the font sizes. In the older version of writer I did this by modifying the paragraph style, using the side bar (if  that makes sense). Side bar icon for style/paragraph/modify, change font size. This method, nor any others, would work with later versions of Writer.
Comment 5 raal 2018-09-01 16:48:38 UTC
This seems to have begun at the below commit.
Adding Cc: to Miklos Vajna ; Could you possibly take a look at this one?
Thanks

6047846b12d1f3cb9c47908ca914b4f3afb32312 is the first bad commit
commit 6047846b12d1f3cb9c47908ca914b4f3afb32312
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Sat Nov 4 03:50:35 2017 +0100

    source sha:1970a686273c5d4fc1eeb4430283e37085d9f647

author	Miklos Vajna <vmiklos@collabora.co.uk>	2017-10-31 09:48:33 +0100
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2017-10-31 14:19:27 +0100
commit	1970a686273c5d4fc1eeb4430283e37085d9f647 (patch)
tree	99acb8521851e927c5bcda8895d5e002bf3c4204
parent	4f798ed25645b3b1c2e5100a6353cfbc4650becc (diff)
tdf#113408 RTF import style dedup: separate paragraph and character handling
Comment 6 Commit Notification 2018-09-25 06:41:23 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=49614a9ea971ff7f370f863ce8a2735aab973cee

tdf#119599 RTF import: fix missing deduplication of font size

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2018-10-02 16:46:11 UTC
Verified in

Version: 6.2.0.0.alpha0+
Build ID: e9c1cbce903d325b1e19602d72765511589f5bf2
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: threaded

@Miklos, Thanks for fixing this!!
Comment 8 Xisco Faulí 2018-10-02 17:14:40 UTC
While testing this issue I found bug 120274
Comment 9 Commit Notification 2018-10-04 09:04:00 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7ceebc68604e9eebc05155b2233bbadf3f4f056a&h=libreoffice-6-1

tdf#119599 RTF import: fix missing deduplication of font size

It will be available in 6.1.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.